function shuffle_letters() {
  for (var i=0;i<3;i++) {
    var arr=g_colour_ids[i];
    var letters=[];
    for (var j=0;j<4;j++) {
      var id=arr[j];
      var element=document.getElementById(id);
      letters[j]=element.textContent;
    }
    shuffle(letters);
    for (var j=0;j<4;j++) {
      var id=arr[j];
      var element=document.getElementById(id);
      element.textContent=letters[j];
    }
  }
}